libdvbv5 1.24.1 Library to work with Digital TV devices on Linux

Data Fields
dvb_extension_descriptor Struct Reference
Parsers for several MPEG-TS descriptors

Structure containing the extended descriptors. More...

`#include <desc_extension.h>`

## Data Fields
uint8_t | type
uint8_t | length
struct dvb_desc * | next
uint8_t | extension_code
struct dvb_desc * | descriptor

## Detailed Description

Structure containing the extended descriptors.

Parameters

  type | Descriptor type
  length | Length of the descriptor
  next | pointer to the dvb_desc descriptor
  extension_code | extension code
  descriptor | pointer to struct dvb_desc

Definition at line 115 of file desc_extension.h.

## Field Documentation

## ◆ descriptor

struct dvb_desc* dvb_extension_descriptor::descriptor

Definition at line 122 of file desc_extension.h.

## ◆ extension_code

uint8_t dvb_extension_descriptor::extension_code

Definition at line 120 of file desc_extension.h.

## ◆ length

uint8_t dvb_extension_descriptor::length

Definition at line 117 of file desc_extension.h.

## ◆ next

struct dvb_desc* dvb_extension_descriptor::next

Definition at line 118 of file desc_extension.h.

## ◆ type

uint8_t dvb_extension_descriptor::type

Definition at line 116 of file desc_extension.h.

The documentation for this struct was generated from the following file:

- lib/include/libdvbv5/desc_extension.h